Bug 93707 - New port: databases/p5-Search-Xapian, Perl XS frontend to the Xapian C++ search library
Summary: New port: databases/p5-Search-Xapian, Perl XS frontend to the Xapian C++ sear...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergey Matveychuk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-22 14:30 UTC by Lars Balker Rasmussen
Modified: 2006-03-28 18:14 UTC (History)
0 users

See Also:


Attachments
databases_p5-Search-Xapian.tar (11.07 KB, text/plain)
2006-02-22 14:30 UTC, Lars Balker Rasmussen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Balker Rasmussen 2006-02-22 14:30:02 UTC

    
Comment 1 Lars Balker Rasmussen 2006-02-22 16:15:10 UTC
My CPAN fumbled, so I got an older version than intended - newer version 
follows:

begin 644 databases_p5-Search-Xapian.tar
M9&%T86)A<V5S+W`U+5-E87)C:"U887!I86X`````````````````````````
M````````````````````````````````````````````````````````````
M`````````````#`P,#<U-2``,#`R-#`P(``P,#(T,#`@`#`P,#`P,#`P,#`P
M(#$P,S<W,3`V,3<Q(#`Q-3(V,``@-0``````````````````````````````
M````````````````````````````````````````````````````````````
M``````````````````````````````````````````!U<W1A<@`P,&QB<@``
M````````````````````````````````````;&)R````````````````````
M```````````````````P,#`P,#`@`#`P,#`P,"``````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M``````````````````````!D871A8F%S97,O<#4M4V5A<F-H+5AA<&EA;B]-
M86ME9FEL90``````````````````````````````````````````````````
M````````````````````````````````````,#`P-C0T(``P,#(T,#`@`#`P
M,C0P,"``,#`P,#`P,#$W,3,@,3`S-S<Q,#4U,3$@,#$V-S<V`"`P````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M`````'5S=&%R`#`P;&)R``````````````````````````````````````!L
M8G(``````````````````````````````````````#`P,#`P,"``,#`P,#`P
M(```````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M`````````````````````````````````````````````",@3F5W('!O<G1S
M(&-O;&QE8W1I;VX@;6%K969I;&4@9F]R.@ED871A8F%S97,O<#4M4V5A<F-H
M+5AA<&EA;@HC($1A=&4@8W)E871E9#H)"0D)1F5B(#(R(#(P,#8*(R!7:&]M
M.@D)"0D)3&%R<R!"86QK97(@4F%S;75S<V5N(#QL87)S0&)A;&ME<BYD:SX*
M(PHC("1&<F5E0E-$)`HC"@I03U)43D%-13T)4V5A<F-H+5AA<&EA;@I03U)4
M5D524TE/3CT),"XY+C(N-`I#051%1T]22453/0ED871A8F%S97,@<&5R;#4*
M34%35$527U-)5$53/0DD>TU!4U1%4E]3251%7U!%4DQ?0U!!3GT*34%35$52
M7U-)5$5?4U5"1$E2/0E396%R8V@*4$M'3D%-15!2149)6#T)<#4M"@I-04E.
M5$%)3D52/0EL87)S0&)A;&ME<BYD:PI#3TU-14Y4/0E097)L(%A3(&9R;VYT
M96YD('1O('1H92!887!I86X@0RLK('-E87)C:"!L:6)R87)Y"@I"54E,1%]$
M15!%3D13/0EX87!I86XM8V]R93X],#HD>U!/4E131$E2?2]D871A8F%S97,O
M>&%P:6%N+6-O<F4*4E5.7T1%4$5.1%,]"21[0E5)3$1?1$5014Y$4WT*"E!%
M4DQ?0T].1DE'55)%/0EY97,*0T,]"0DD>T-86'T*"DU!3C,]"5-E87)C:#HZ
M6&%P:6%N+C,@7`H)4V5A<F-H.CI887!I86XZ.D)-,C5796EG:'0N,R!<"@E3
M96%R8V@Z.EAA<&EA;CHZ0F]O;%=E:6=H="XS(%P*"5-E87)C:#HZ6&%P:6%N
M.CI$871A8F%S92XS(%P*"5-E87)C:#HZ6&%P:6%N.CI$;V-U;65N="XS(%P*
M"5-E87)C:#HZ6&%P:6%N.CI%;G%U:7)E+C,@7`H)4V5A<F-H.CI887!I86XZ
M.E!O<VET:6]N271E<F%T;W(N,R!<"@E396%R8V@Z.EAA<&EA;CHZ4&]S=&EN
M9TET97)A=&]R+C,@7`H)4V5A<F-H.CI887!I86XZ.E%U97)Y4&%R<V5R+C,@
M7`H)4V5A<F-H.CI887!I86XZ.E-T96TN,R!<"@E396%R8V@Z.EAA<&EA;CHZ
M5&5R;4ET97)A=&]R+C,@7`H)4V5A<F-H.CI887!I86XZ.E=E:6=H="XS(%P*
M"5-E87)C:#HZ6&%P:6%N.CI7<FET86)L941A=&%B87-E+C,*"BYI;F-L=61E
M(#QB<V0N<&]R="YM:SX*````````````````````````````````````````
M``````````````````````````````!D871A8F%S97,O<#4M4V5A<F-H+5AA
M<&EA;B]D:7-T:6YF;P``````````````````````````````````````````
M````````````````````````````````````````````,#`P-C0T(``P,#(T
M,#`@`#`P,C0P,"``,#`P,#`P,#`S,S,@,3`S-S<Q,#8Q-C8@,#$W,3`T`"`P
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M`````````````'5S=&%R`#`P;&)R````````````````````````````````
M``````!L8G(``````````````````````````````````````#`P,#`P,"``
M,#`P,#`P(```````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M`````````````````````````````````````````````````````$U$-2`H
M4V5A<F-H+5AA<&EA;BTP+CDN,BXT+G1A<BYG>BD@/2!D834V-V,T.#AD-V%F
M9F4W9CAD-3=B-3=E9C1A-F0P.`I32$$R-38@*%-E87)C:"U887!I86XM,"XY
M+C(N-"YT87(N9WHI(#T@-C(T.&4Y9#$T-V1E-&8Q-V%B.34Y,68U8S$W96-E
M,#DT.#DY,C,U93$T-S@S83`R9CDW9#1F860U.31E-3<V90I325I%("A396%R
M8V@M6&%P:6%N+3`N.2XR+C0N=&%R+F=Z*2`](#(W,S`R"@``````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````9&%T86)A<V5S+W`U+5-E87)C:"U887!I86XO<&MG+7!L
M:7-T````````````````````````````````````````````````````````
M`````````````````````````````#`P,#8T-"``,#`R-#`P(``P,#(T,#`@
M`#`P,#`P,#`S,S,Q(#$P,S<W,3`V,3(Q(#`Q-S$V-P`@,```````````````
M````````````````````````````````````````````````````````````
M``````````````````````````````````````````````````````````!U
M<W1A<@`P,&QB<@``````````````````````````````````````;&)R````
M```````````````````````````````````P,#`P,#`@`#`P,#`P,"``````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M```````````````````````````````````````E)5-)5$5?4$523"4E+R4E
M4$523%]!4D-()24O875T;R]396%R8V@O6&%P:6%N+RYP86-K;&ES=`HE)5-)
M5$5?4$523"4E+R4E4$523%]!4D-()24O875T;R]396%R8V@O6&%P:6%N+UAA
M<&EA;BYB<PHE)5-)5$5?4$523"4E+R4E4$523%]!4D-()24O875T;R]396%R
M8V@O6&%P:6%N+UAA<&EA;BYS;PHE)5-)5$5?4$523"4E+R4E4$523%]!4D-(
M)24O4V5A<F-H+UAA<&EA;BYP;0HE)5-)5$5?4$523"4E+R4E4$523%]!4D-(
M)24O4V5A<F-H+UAA<&EA;B]"33(U5V5I9VAT+G!M"B4E4TE415]015),)24O
M)25015),7T%20T@E)2]396%R8V@O6&%P:6%N+T)O;VQ796EG:'0N<&T*)253
M251%7U!%4DPE)2\E)5!%4DQ?05)#2"4E+U-E87)C:"]887!I86XO1&%T86)A
M<V4N<&T*)253251%7U!%4DPE)2\E)5!%4DQ?05)#2"4E+U-E87)C:"]887!I
M86XO1&]C=6UE;G0N<&T*)253251%7U!%4DPE)2\E)5!%4DQ?05)#2"4E+U-E
M87)C:"]887!I86XO15-E="YP;0HE)5-)5$5?4$523"4E+R4E4$523%]!4D-(
M)24O4V5A<F-H+UAA<&EA;B]%4V5T271E<F%T;W(N<&T*)253251%7U!%4DPE
M)2\E)5!%4DQ?05)#2"4E+U-E87)C:"]887!I86XO16YQ=6ER92YP;0HE)5-)
M5$5?4$523"4E+R4E4$523%]!4D-()24O4V5A<F-H+UAA<&EA;B]-4V5T+G!M
M"B4E4TE415]015),)24O)25015),7T%20T@E)2]396%R8V@O6&%P:6%N+TU3
M970O5&EE9"YP;0HE)5-)5$5?4$523"4E+R4E4$523%]!4D-()24O4V5A<F-H
M+UAA<&EA;B]-4V5T271E<F%T;W(N<&T*)253251%7U!%4DPE)2\E)5!%4DQ?
M05)#2"4E+U-E87)C:"]887!I86XO4&5R;%-T;W!P97(N<&T*)253251%7U!%
M4DPE)2\E)5!%4DQ?05)#2"4E+U-E87)C:"]887!I86XO4&]S:71I;VY)=&5R
M871O<BYP;0HE)5-)5$5?4$523"4E+R4E4$523%]!4D-()24O4V5A<F-H+UAA
M<&EA;B]0;W-T:6YG271E<F%T;W(N<&T*)253251%7U!%4DPE)2\E)5!%4DQ?
M05)#2"4E+U-E87)C:"]887!I86XO475E<GDN<&T*)253251%7U!%4DPE)2\E
M)5!%4DQ?05)#2"4E+U-E87)C:"]887!I86XO475E<GE087)S97(N<&T*)253
M251%7U!%4DPE)2\E)5!%4DQ?05)#2"4E+U-E87)C:"]887!I86XO4E-E="YP
M;0HE)5-)5$5?4$523"4E+R4E4$523%]!4D-()24O4V5A<F-H+UAA<&EA;B]3
M:6UP;&53=&]P<&5R+G!M"B4E4TE415]015),)24O)25015),7T%20T@E)2]3
M96%R8V@O6&%P:6%N+U-T96TN<&]D"B4E4TE415]015),)24O)25015),7T%2
M0T@E)2]396%R8V@O6&%P:6%N+U-T;W!P97(N<&T*)253251%7U!%4DPE)2\E
M)5!%4DQ?05)#2"4E+U-E87)C:"]887!I86XO5&5R;4ET97)A=&]R+G!M"B4E
M4TE415]015),)24O)25015),7T%20T@E)2]396%R8V@O6&%P:6%N+U9A;'5E
M271E<F%T;W(N<&T*)253251%7U!%4DPE)2\E)5!%4DQ?05)#2"4E+U-E87)C
M:"]887!I86XO5V5I9VAT+G!M"B4E4TE415]015),)24O)25015),7T%20T@E
M)2]396%R8V@O6&%P:6%N+U=R:71A8FQE1&%T86)A<V4N<&T*0&1I<G)M=')Y
M("4E4TE415]015),)24O)25015),7T%20T@E)2]A=71O+U-E87)C:"]887!I
M86X*0&1I<G)M=')Y("4E4TE415]015),)24O)25015),7T%20T@E)2]A=71O
M+U-E87)C:`I`9&ER<FUT<GD@)253251%7U!%4DPE)2\E)5!%4DQ?05)#2"4E
M+U-E87)C:"]887!I86XO35-E=`I`9&ER<FUT<GD@)253251%7U!%4DPE)2\E
M)5!%4DQ?05)#2"4E+U-E87)C:"]887!I86X*0&1I<G)M=')Y("4E4TE415]0
M15),)24O)25015),7T%20T@E)2]396%R8V@*````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M`````````&1A=&%B87-E<R]P-2U396%R8V@M6&%P:6%N+W!K9RUD97-C<@``
M````````````````````````````````````````````````````````````
M```````````````````````P,#`V-#0@`#`P,C0P,"``,#`R-#`P(``P,#`P
M,#`P,3<Q,"`Q,#,W-S`V-38U-"`P,3<Q-3(`(#``````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````=7-T87(`
M,#!L8G(``````````````````````````````````````&QB<@``````````
M````````````````````````````,#`P,#`P(``P,#`P,#`@````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````5&AI<R!M;V1U;&4@=W)A<',@;6]S
M="!M971H;V1S(&]F(&UO<W0@6&%P:6%N(&-L87-S97,N(%1H92!M:7-S:6YG
M(&-L87-S97,*86YD(&UE=&AO9',@<VAO=6QD(&)E(&%D9&5D(&EN('1H92!F
M=71U<F4N($ET(&%L<V\@<')O=FED97,@82!S:6UP;&EF:65D+`IM;W)E("=P
M97)L:7-H)R!I;G1E<F9A8V4@+2!A<R!D96UO;G-T<F%T960@86)O=F4N"@I4
M:&4@6&%P:6%N(&QI8G)A<GD@:7,@979O;'9I;F<@=F5R>2!Q=6EC:VQY(&%T
M('1H92!T:6UE(&]F('=R:71I;F<L"FAE;F-E(&%N>2!D;V-U;65N=&%T:6]N
M('!L86-E9"!H97)E('=O=6QD(&)E(&QI:V5L>2!T;R!B96-O;64@;W5T(&]F
M"F1A=&4@<75I=&4@<F%P:61L>2P@86YD($D@9&\@;F]T(&AA=F4@=&AE('!A
M=&EE;F-E('1O('=R:71E('-O;64@=VAI8V@*8V]U;&0@<F%P:61L>2!B96-O
M;64@<F5D=6YD86YT+@H*07!O;&]G:65S('1O('1H;W-E(&]F('EO=2!C;VYS
M:61E<FEN9R!U<VEN9R!T:&ES(&UO9'5L92X@1F]R('1H92!T:6UE"F)E:6YG
M+"!)('=O=6QD('-U9V=E<W0@9V%R;F5R:6YG('=H870@>6]U(&-A;B!F<F]M
M('1H92!T97-T<R!A;F0*97AA;7!L97,@<')O=FED960L(&]R(')E861I;F<@
M=&AR;W5G:"!T:&4@6&%P:6%N(&1O8W5M96YT871I;VX@;VX*:'1T<#HO+W=W
M=RYX87!I86XN;W)G+RP@;F]T86)L>2!T:&4@05!)(&1O8W5M96YT871I;VX@
M870*:'1T<#HO+W=W=RYX87!I86XN;W)G+V1O8W,O87!I9&]C+VAT;6PO86YN
M;W1A=&5D+FAT;6P*"DEF('EO=2!E;F-O=6YT97(@<')O8FQE;7,L(&5M86EL
M(&5I=&AE<B!M92!O<B!P<F5F97)A8FQY('1H90I887!I86XM9&ES8W5S<R!M
M86EL:6YG(&QI<W0@*'=H:6-H($D@86T@;VX@+2!S=6)S8W)I<'1I;VX@9&5T
M86EL<R!C86X*8F4@9F]U;F0@;VX@=&AE(%AA<&EA;B!W96(@<VET92DN"@I7
M5U<Z(&AT='`Z+R]S96%R8V@N8W!A;BYO<F<O9&ES="]396%R8V@M6&%P:6%N
M+PH`````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
"````
`
end
Comment 2 Sergey Matveychuk freebsd_committer 2006-03-26 21:54:16 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 Sergey Matveychuk freebsd_committer 2006-03-26 22:25:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it.
Comment 4 Sergey Matveychuk freebsd_committer 2006-03-27 21:29:51 UTC
State Changed
From-To: closed->open

Reopen it since I've missed an update in a follow-up.
Comment 5 Sergey Matveychuk freebsd_committer 2006-03-28 18:14:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!